=== debian/changelog ===
mathgl (1.11.1.1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: clean the dependency_libs out of .la files at build
      time
  * Dropped changes, superseded in Debian:
    - debian/python-mathgl.install: Update install path for any python
      version

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Jun 2011 22:45:50 +0000

mathgl (1.11.1.1-2) unstable; urgency=low

  * Try to fix libmgl5 related symbols breakage on all arches

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 22 May 2011 20:50:00 +0200

mathgl (1.11.1.1-1) unstable; urgency=low

  * New upstream version

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 26 Apr 2011 01:15:00 +0200

mathgl (1.11.0.1-9) unreleased; urgency=low

  * Again try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 2 Apr 2011 02:05:00 +0200

mathgl (1.11.0.1-8) unstable; urgency=low

  * Try to fix build failure due to broken symbols for several architectures

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 24 Mar 2011 23:56:00 +0200

mathgl (1.11.0.1-7) unstable; urgency=low

  * Create patch for the removal of the texinfo/mgl_ru.info-* files
  * Update symbols files (Closes: #618235)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 14 Mar 2011 00:10:00 +0200

mathgl (1.11.0.1-6) unstable; urgency=low

  * Try to fix build failure due to broken symbols for sparc64

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 5 Mar 2011 21:27:00 +0200

mathgl (1.11.0.1-5) unstable; urgency=low

  * Try to fix build failure due to broken symbols for armel and s390

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Fri, 25 Feb 2011 21:30:00 +0200

mathgl (1.11.0.1-4) unstable; urgency=low

  * Create mixed symbols files for amd64 and i386 with tagged symbols 
    (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 19 Feb 2011 23:10:00 +0200

mathgl (1.11.0.1-3) unstable; urgency=low

  * Upload in unstable
  * Change symbols files for pbuilder --distribution unstable (Closes: #610777)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 12 Feb 2011 22:14:00 +0200

mathgl (1.11.0.1-2) experimental; urgency=low

  * Update symbols files for pbuilder --distribution experimental.
  * Remove createpngdirectory.patch from series.
  * Apply patch for FTBFS on i386 (Closes: #607539).
  * Add Replaces tags for old mathgl-doc package in debian/control.
  * Various improvements in the debian/rules file.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 17 Jan 2011 21:43:00 +0200

mathgl (1.11.0.1-1) experimental; urgency=low

  * Correct debian/copyright file.
  * Create proper patches for the changes in the source tree.
  * Add new package for Russian documentation.
  * New upstream release (Closes: #603004).
  * Correct several spelling mistakes in manpages and in lang/numpy.i
  * Create symbols files for libraries.
  * Register documentation to doc-base.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 12 Dec 2010 19:13:00 +0200
