=== debian/changelog ===
mathgl (1.11.2-6) unstable; urgency=low

  * Fix FTBFS for sparc (Closes: 642654).  

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 16:23:12 +0300

mathgl (1.11.2-5) unstable; urgency=low

  * Resolve differences for all non-optional symbols, in symbols files for ia64,
    sparc and sh4 architectures (Closes: 642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 26 Sep 2011 10:25:00 +0300

mathgl (1.11.2-4) unstable; urgency=low

  * Add python-numpy to Depnds of python-mathgl in debian/control and add
    dh_numpy in binary-arch in debian/rules (Closes: 641793).
  * Ammend symbols files for ia64, sparc and sh4 architectures (Closes: 642654).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sat, 24 Sep 2011 23:16:00 +0300

mathgl (1.11.2-3) unstable; urgency=low

  * Replace libfltk-dev with libfltk1.3-dev | libfltk-dev in debian/control 
    Build-Depends (Closes: #638834).
  * Ammend symbols files for s390x architecture (Closes: 639492).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 7 Sep 2011 06:04:00 +0300

mathgl (1.11.2-2) unstable; urgency=low

  * Add debian/source/options file in order to avoid the generation of unneeded debian-
    changes patch, due to the creation of extra file config.log during build.
  * Ammend symbols files.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Thu, 18 Aug 2011 20:48:00 +0300

mathgl (1.11.2-1) unstable; urgency=low

  * Incorporate changes due to the last two NMU's.
  * New upstream version.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 28 Jun 2011 17:01:00 +0200

mathgl (1.11.1.1-2.2) unstable; urgency=low

  * Non-maintainer upload (closes: #610777).
  * debian/libmgl-qt5.symbols: _ZN10QByteArrayD1Ev is needed on sparc and
    ia64, so add it as optional.
  * debian/libmgl-wx5.symbols: three destructors known to be undefined on
    armel/armhf are also not defined on ia64 or sparc, so mark these as
    optional also.  Destructors of foreign classes are not part of the
    library ABI, so it's fine to ignore these.

 -- Steve Langasek <vorlon@debian.org>  Sun, 19 Jun 2011 07:57:43 +0000

mathgl (1.11.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix library symbols files (closes: #610777):
    - debian/libmgl-qt5.symbols: drop _ZN10QByteArrayD2Ev, which is not
      present on *any* architecture anymore.
    - debian/libmgl-fltk5.symbols: _ZN9Fl_PixmapC2EPKPKc is not present on
      ia64 or sparc and never has been.
    - debian/libmgl5.symbols:
      + _ZN7mglFuncD1Ev is present on all architectures, drop the
        architecture list (fixing the 'kfeebsd' typo that caused a build
        failure on kfreebsd-amd64).
      + _ZNSt15basic_stringbufIcSt11char_traitsIcESaIcEED2Ev,
        _ZN8u3dLightD2Ev: symbols not seen on *any* archs, drop.
      + Drop 18 symbols whose exclusion list included all 15 architectures
        that have been tested.
      + Other symbols that are template instantiations are now marked as
        optional symbols instead of tagged with an arch list, since they are
        not part of the ABI and will come and go based on the compiler
        version used, *not* just on the architecture.
      + If there are 8 or more architectures in the arch qualifier, invert
        it.  In some cases this reveals that certain symbols are actually
        64-bit specific - so infer that not-yet-tested 32-bit archs follow
        the pattern.
    - debian/*.symbols: any symbols marked for armel should also be marked
      for armhf.
  * debian/rules: clean the dependency_libs out of .la files at build
    time, per Policy 10.2.  Closes: #620629.

 -- Steve Langasek <vorlon@debian.org>  Sat, 18 Jun 2011 07:33:55 +0000

mathgl (1.11.1.1-3) unreleased; urgency=low

  * Further attempt to fix symbol breakages

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 29 May 2011 19:41:00 +0200
