=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: mathgl
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>, D Haley <mycae@yahoo.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.2.3~), libltdl-dev, libgsl0-dev, freeglut3-dev, 
  libgl1-mesa-dev | libgl-dev, libpng-dev, libhdf5-serial-dev | libhdf5-dev, 
- libjpeg-dev, libtiff-dev, libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, 
+ libjpeg-dev, libtiff-dev, libfltk1.3-dev | libfltk-dev, libqt4-dev, libwxgtk2.8-dev, swig, 
  texinfo, texi2html, texlive, texlive-generic-recommended, octave3.2-headers,
  libgif-dev, autoconf, automake, python, python-dev, python-numpy, python-support,
  libhdf4-dev, chrpath
@@ -151,7 +150,7 @@
 Package: python-mathgl
 Architecture: any
 Section: python
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy
 Description: library for scientific graphs. (Python module)
  A free cross-platform library of fast C++ routines for plotting data in up
  to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
