=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,10 @@
 	dh_auto_clean
 	dh_clean 
 
-build:
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp:
 	dh_testdir
 	dh_auto_configure -- --enable-all --enable-octave --enable-python
 	dh_auto_build
@@ -90,6 +93,7 @@
 # 	dh_installifupdown -a
 # 	dh_installinfo -a
 	dh_pysupport -a
+	dh_numpy -a
 # 	dh_installinit -a
 # 	dh_installmenu -a
 # 	dh_installmime -a
